@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');


:root {
    --dark: #333;
    --secondary: #d2d2d2;
    --primary: #26235c;
    --warning: #e1c300;
    --dark-warning: #6a5c00;
    --light-warning: #fff08d;
    --danger: #d70656;
    --dark-danger: #7a0230;
    --light-danger: #ff98bf;
    --success: #1aaa8d;
    --light-success: #c3fcf1;
    --dark-success: #0d4539;
    --light: #ffffff;
}


* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Poppins', sans-serif;
    outline: none;
}


body {
    background-image: url('../dist/img/bg_header.jpg');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;

    min-width: 350px;

    font-family: Poppins, Arial, sans-serif;
    line-height: 1.6;
    color: var(--dark);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}


header {
    width: 100%;
    height: 100%;

    color: var(--light);
    padding: 20px;
    text-align: center;
}

header p {

    margin-top: 10px;
}

.logo {
    height: 100px;
    z-index: 99;
}

form {
    color: var(--dark);

    width: 50%;
}

label {
    font-weight: normal !important;
}

button {
    padding: 5px 20px;
    color: var(--light);
    background-color: var(--success);
    border: none;
    border-left: 5px solid var(--success);
    box-shadow: 1px 1px 5px var(--dark);
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;


}

button:hover {
    transform: scale(1.1);
    background-color: var(--light);

    color: var(--success);
}

.card {
    background-color: var(--light);
    box-shadow: 0px 5px 5px var(--dark);
    padding: 20px;
    margin-bottom: 20px;
    border-left: 5px solid var(--success);
}

.card-header {
    margin-bottom: 20px;

}

.card-header h3 {
    color: var(--success);
}

@media screen and (max-width: 1020px) {
    form {
        width: 80%;
    }
}


.progress {
    background-color: var(--success);
    padding: 30px 20px 20px 20px;
    top: 0px;
    position: sticky;
    z-index: 999;
}

.scroll {
    width: 98%;
    height: 4px;
    background-color: var(--dark-success);
}

#scroll-progress {
    width: 0%;
    height: 4px;
    background-color: var(--light);
}

.scroll-options {
    display: flex;
    flex-direction: row;
    justify-content: space-between;

    margin-top: -15px;
}

.scroll-options .step {
    display: flex;
    justify-content: center;
    align-items: center;
    color: var(--success);
    width: 25px;
    height: 25px;
    border-radius: 50px;
    background-color: var(--dark-success);
}

.active {
    background-color: var(--light) !important;
}




@import url('https://fonts.googleapis.com/css?family=Poppins:400,500,600,700&display=swap');

form {
    padding: 30px 0 0 0;
}

form .form-row {
    display: flex;
    margin: 32px 0;
}

form .form-row .form-radio {
    width: 100%;
    display: flex;
    flex-direction: column;
}

form .form-row .form-text {
    width: 100%;
    display: row;
    flex-direction: column;
}

form .form-row .input-data {
    width: 100%;
    height: 40px;
    position: relative;
}

form .form-row .textarea {
    height: 70px;
}

.textarea textarea {
    display: block;
    width: 100%;
    height: 100%;
    border: 1px solid var(--success);
    border-radius: 0.125em;

}

input,
textarea {
    border: 1px solid var(--success);


    border-radius: 10px;
    padding: 10px;
    width: 100%;
    resize: none;
}

.input-data label {
    position: absolute;
    pointer-events: none;
    bottom: 10px;

    transition: all 0.3s ease;
    margin-left: 10px;
}

input,
textarea,
select {
    font-size: 16px;
}

.textarea label {
    width: 100%;
    bottom: 40px;
    background: #fff;
}

.input-data .underline {
    position: absolute;
    bottom: 0;
    height: 2px;
    width: 100%;
}

.input-data .underline:before {
    position: absolute;
    content: "";
    height: 2px;
    width: 100%;
    background: var(--success);
    transform: scaleX(0);
    transform-origin: center;
    transition: transform 0.3s ease;
}

.input-data input[type="text"]:focus~.underline:before,
.input-data input[type="text"]:valid~.underline:before,
.textarea textarea:focus~.underline:before,
.textarea textarea:valid~.underline:before {
    transform: scale(1);
}

.submit-btn .input-data {
    overflow: hidden;
    height: 45px !important;
    width: 25% !important;
}

.submit-btn .input-data .inner {
    height: 100%;
    width: 300%;
    position: absolute;
    left: -100%;
    background: -webkit-linear-gradient(right, #56d8e4, #9f01ea, #56d8e4, #9f01ea);
    transition: all 0.4s;
}

.submit-btn .input-data:hover .inner {
    left: 0;
}

.submit-btn .input-data input {
    background: none;
    border: none;
    color: #fff;

    font-weight: 500;
    text-transform: uppercase;
    letter-spacing: 1px;
    cursor: pointer;
    position: relative;
    z-index: 2;
}

.radio-group-label {

    color: var(--dark);
    margin-bottom: 10px;
    font-weight: 500;
    display: block;
}

.radio-group {
    margin-top: 10px;
    display: flex;
    flex-direction: column;

    gap: 10px;

}

.radio-data {
    position: relative;
    display: flex;
    align-items: center;
    cursor: pointer;
}

.radio-data input {
    opacity: 0;
    position: absolute;
    cursor: default;
}

.radio-data label {
    position: relative;
    padding-left: 30px;
    cursor: pointer;

    color: var(--dark);
    transition: color 0.3s ease;
}

.radio-data label:before {
    content: "";
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    width: 20px;
    height: 20px;
    border: 2px solid var(--secondary);
    border-radius: 50%;
    background: var(--light);
    transition: border-color 0.3s ease, background 0.3s ease;
}

.radio-data input:checked+label:before {
    border-color: var(--light-success);

    background: var(--success);

}

.radio-data input[value="1"]:checked+label:before,
.radio-data input[value="2"]:checked+label:before,
.radio-data input[value="3"]:checked+label:before,
.radio-data input[value="4"]:checked+label:before,
.radio-data input[value="Ruim"]:checked+label:before,
.radio-data input[value="Não"]:checked+label:before,
.radio-data input[value="Nunca"]:checked+label:before {
    border-color: var(--light-danger);
    background: var(--danger);
}

.radio-data input[value="5"]:checked+label:before,
.radio-data input[value="6"]:checked+label:before,
.radio-data input[value="7"]:checked+label:before,
.radio-data input[value="Regular"]:checked+label:before,
.radio-data input[value="Não Sei"]:checked+label:before,
.radio-data input[value="Talvez"]:checked+label:before,
.radio-data input[value="Não Aderiu"]:checked+label:before,
.radio-data input[value="As Vezes"]:checked+label:before {
    border-color: var(--light-warning);
    background: var(--warning);
}

.radio-data input[value="8"]:checked+label:before,
.radio-data input[value="9"]:checked+label:before,
.radio-data input[value="10"]:checked+label:before,
.radio-data input[value="Bom"]:checked+label:before,
.radio-data input[value="Ótimo"]:checked+label:before,
.radio-data input[value="Sim"]:checked+label:before,
.radio-data input[value="Sempre"]:checked+label:before {
    border-color: var(--light-success);
    background: var(--success);
}

#loading-progress {
    width: 100vw;
    height: 100vh;
    position: fixed;
    z-index: 9999;
    top: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
}

.loading-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 20px;
    background: var(--light);
    border-radius: 10px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    width: 80%;
    max-width: 400px;
}

.progress-container {
    width: 100%;
}

.progress-bar {
    width: 100%;
    background: var(--secondary);
    border-radius: 25px;
    overflow: hidden;
    margin: 20px 0;
    height: 20px;
    position: relative;
}

.progress-fill {
    height: 100%;
    background: linear-gradient(to right, #1aaa8d, #0d4539);
    transition: width 0.2s ease;
}

#progress-percentage {
    font-size: 1.2rem;
    font-weight: bold;
    color: var(--dark);
}